package com.yonge.cooleshow.biz.dal.wrapper;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Optional;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * 机构老师流水表
 * 2023-10-09 17:39:42
 */
@ApiModel(value = "TenantTeacherAccountRecordWrapper对象", description = "机构老师流水表查询对象")
public class TenantTeacherAccountRecordWrapper {

    @Data
	@Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel(" TenantTeacherAccountRecordQuery-机构老师流水表")
    public static class TenantTeacherAccountRecordQuery implements QueryInfo {
    
    	@ApiModelProperty("当前页")
        private Integer page;
        
        @ApiModelProperty("分页行数")
        private Integer rows;
        
        @ApiModelProperty("关键字匹配")
		private String keyword;
        
        public String getKeyword() {
            return Optional.ofNullable(keyword).filter(StringUtils::isNotBlank).orElse(null);
        }
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static TenantTeacherAccountRecordQuery from(String json) {
            return JSON.parseObject(json, TenantTeacherAccountRecordQuery.class);
        }
    }  

	@ApiModel(" TenantTeacherAccountRecord-机构老师流水表")
    public static class TenantTeacherAccountRecord {
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static TenantTeacherAccountRecord from(String json) {
            return JSON.parseObject(json, TenantTeacherAccountRecord.class);
        }
	}

}